Cancellation request
This method allows a cancellation request to be created for a sale.
Access method
POST /salecancellationrequest
Request structure
PartnerSaleId: (string)Required. Partner identifier.-
Reason: (byte)Optional. Reasons for requesting the cancellation:Possible values
Aquí está la lista de razones de la solicitud de cancelación:
- 1: Cambio en fechas de acceso.
- 2: Cambio de productos.
- 3: Cambio en cantidad de asistentes.
- 4: Enfermedad común.
- 5: Gestión indebida de venta de entradas.
- 6: Problemas con la integración.
- 7: Error en el pago.
-
ReasonComments: (string).Optional. Comments on the transaction cancellation request.
Request example
Examples
Ejemplo de petición de JSON formateada:
{
"PartnerSaleId": "stf9gy7i3xawa",
"Reason": 7,
"ReasonComments": "El cliente no ha realizado el pago"
}
Response structure
-
Timestamp: (dateTime). Time at which the request was processed. ISO 8601 format (yyyy-MM-ddThh:mm:ss.fffffff). -
Success: (boolean). Value that indicates whether the call was processed correctly or not. Errors: (list). Array of errors.Error: (object).ErrorMessage: (string). Error message explaining why the request was not successful. If it was correct, it will returnnull.ErrorCode: (int). Code that identifies the error.
ErrorEntityBreakDown(list): list that contains objects with the name and ID in case of error.Id(string): identifierName(string): related name of the identifier.
Response example
Examples
Ejemplo de respuesta JSON formateada:
{
"Timestamp": "2024-07-13T00:00:00",
"Success": true
}